Subject: bug#12299: 24.1; no byte compiler warning for inline function call with too few arguments [PATCH]

From: Mattias Engdegård <[email-masked]>
Date: Fri, 23 Jul 2021 15:18:28 +0200

23 juli 2021 kl. 13.09 skrev Lars Ingebrigtsen <[email-masked]>:

> Yes, we can fix up suppression afterwards...

It's not a new problem -- there are plenty of warnings that can be generated during the source-level optimisation and suppressions don't work there right now.

> This leads to warnings like:
> 
> Warning: Eager macro-expansion skipped due to cycle:
>  … => (load "byte-opt.el") => (macroexpand-all (defalias 'byte-decompile-bytecode-1 …)) => (macroexpand (cl-symbol-macrolet …)) => (load "byte-opt.el")

Strange. I never saw anything like that. But if bootstrapping helped you, then I suppose it's fine.

> I wondered whether this added warning would find errors in the Emacs
> tree, so I did a "make bootstrap" after applying the patch, but we
> apparently have none of those, which surprised me.

Yes, I'm disappointed as well. Had hoped for some juicy pay-off, but no.

Thanks for testing it -- pushed to master, slightly simplified (somehow I completely missed the existence of `func-arity`)